{% extends 'base.html.twig' %}

{% block body_class %}login-page{% endblock %}

{% block title %}Log in!{% endblock %}

{% block content %}

    <div class="login-box">
        <div class="login-logo">
            <b>Optiprint</b> Reports
        </div>
        <!-- /.login-logo -->
        <div class="card">
            <div class="card-body login-card-body">
                <p class="login-box-msg">Sign in</p>

                <form method="post">
                    <div class="input-group mb-3">
                        <input type="text" value="{{ last_username }}" class="form-control" placeholder="Username" autocomplete="_username" name="_username">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-envelope"></span>
                            </div>
                        </div>
                    </div>
                    <div class="input-group mb-3">
                        <input type="password" class="form-control"
                               placeholder="Password" name="_password" autocomplete="current_password">
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <span class="fas fa-lock"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-8">
                            <div class="icheck-primary">
                                <input type="checkbox" id="remember" name="_rememberme">
                                <label for="remember">
                                    Remember Me
                                </label>
                            </div>
                        </div>
                        <input type="hidden" name="_csrf_token"
                               value="{{ csrf_token('authenticate') }}"
                        >
                        <!-- /.col -->
                        <div class="col-4">
                            <button type="submit" class="btn btn-primary btn-block">Sign In</button>
                        </div>
                        <!-- /.col -->
                    </div>
                </form>
            </div>
            <!-- /.login-card-body -->
        </div>
    </div>
    <!-- /.login-box -->
{% endblock %}
